/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EXPORTPLAYERSDIALOG_H
#define EXPORTPLAYERSDIALOG_H

// Local includes
#include "shared/FileDialog.h"

// Local classes
class SharedObjects;

// Qt Classes
class QListWidget;
class QCheckBox;
class QListWidgetItem;
class QLabel;

class ExportPlayersDialog : public FileDialog
{
    Q_OBJECT

public:
    explicit ExportPlayersDialog(QWidget *parent, SharedObjects *sharedObjects);

private slots:
    virtual void accept() override;
    void selectionChanged(QListWidgetItem *changedItem);

private: // Variables
    QStringList m_playersList;
    QListWidget *m_exportPreview;
    QCheckBox *m_openAfterExport;
    QLabel *m_exportCount;

};

#endif // EXPORTPLAYERSDIALOG_H
