/* Copyright (c) 2012-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BOOGERRADIOBUTTON_H
#define BOOGERRADIOBUTTON_H

// Qt includes
#include <QRadioButton>

// Local classes
class BoogerSpinBox;

class BoogerRadioButton : public QRadioButton
{
    Q_OBJECT

public:
    explicit BoogerRadioButton(QWidget *parent = nullptr, BoogerSpinBox *spinBox = nullptr);

signals:
    void scorePopupRequested(BoogerSpinBox *spinBox);

protected:
    virtual void wheelEvent(QWheelEvent *event) override;
    virtual void mousePressEvent(QMouseEvent *event) override;
    virtual void mouseReleaseEvent(QMouseEvent *event) override;

private: // Variables
    BoogerSpinBox *m_spinBox;

};

#endif // BOOGERRADIOBUTTON_H
