/* Copyright (c) 2018-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PLAYERSCOMBOBOX_H
#define PLAYERSCOMBOBOX_H

// Local includes
#include "NumbersComboBox.h"

// Local classes
class SearchEngine;

// Qt classes
class QStringListModel;

class PlayersComboBox : public NumbersComboBox
{
    Q_OBJECT

public:
    explicit PlayersComboBox(QWidget *parent, SearchEngine *searchEngine, const int pair);

signals:
    void disableSaveScore();
    void checkSavePossible();
    void selectionChanged(int pair, int pairId);

public slots:
    void lineEditTextChanged(const QString &text);

private slots:
    void resetLineEditText();
    void completerActivated(const QString &text);
    void processGivenText();
    void popupHidden();
    void finishSearch();

private: // Variables
    SearchEngine *m_searchEngine;
    const int m_pair;
    QStringListModel *m_matches;
    bool m_isSearching;
    bool m_completerActivated;

};

#endif // PLAYERSCOMBOBOX_H
