/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DISCOVERSERVER_H
#define DISCOVERSERVER_H

// Local includes
#include "shared/AbstractDiscoverEngine.h"

// Qt includes
#include <QJsonObject>

class DiscoverServer : public AbstractDiscoverEngine
{
    Q_OBJECT

public:
    explicit DiscoverServer(QObject *parent);
    bool serve(const QString &ip, const int port);

signals:
    void message(const QString &text);

private slots:
    void invalidRequest(const QHostAddress &senderAddress, const QString &text);

private: // Functions
    virtual void processData(const QJsonObject &jsonObject, const QHostAddress &senderAddress);

private: // Variables
    QJsonObject m_serverAnnouncement;

};

#endif // DISCOVERYSERVER_H
