/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "AbstractSettingsPage.h"

// Qt includes
#include <QVBoxLayout>
#include <QGroupBox>

AbstractSettingsPage::AbstractSettingsPage(QWidget *parent, const QString &pageTitle)
    : QWidget(parent), m_pageTitle(pageTitle)
{
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QGroupBox *groupBox = new QGroupBox(m_pageTitle);
    m_layout = new QVBoxLayout(groupBox);
    mainLayout->addWidget(groupBox);
}

QString AbstractSettingsPage::pageTitle() const
{
    return m_pageTitle;
}

QVBoxLayout * AbstractSettingsPage::layout() const
{
    return m_layout;
}
