/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MARKERSTEMPLATEPAGE_H
#define MARKERSTEMPLATEPAGE_H

// Local includes

#include "AbstractSettingsPage.h"

#include "shared/Marker.h"

// Local classes
class Database;
class Settings;

// Qt classes
class QTableWidget;

class MarkersTemplatePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit MarkersTemplatePage(QWidget *parent, Database *db, Settings *settings);
    virtual void saveSettings() override;

private slots:
    void restoreTemplate();
    void adoptCurrentmarkers();

private: // Functions
    void updateTemplateDisplay();

private: // Variables
    Database *m_db;
    Settings *m_settings;
    QList<Marker::Marker> m_template;
    QTableWidget *m_templateDisplay;

};

#endif // MARKERSTEMPLATEPAGE_H
