/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef STRINGSPAGE_H
#define STRINGSPAGE_H

// Local includes
#include "AbstractSettingsPage.h"

// Local classes
class Settings;
class SpacesLineEdit;

// Qt classes
class QLabel;
class QComboBox;

class StringsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit StringsPage(QWidget *parent, Settings *settings);
    virtual void saveSettings() override;

private slots:
    void updateSeparatorExample();
    void resetStrings();

private: // Variables
    Settings *m_settings;
    QComboBox *m_boogerSymbol;
    SpacesLineEdit *m_namesSeparator;
    QLabel *m_separatorExample;

};

#endif // STRINGSPAGE_H
