/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENTTEMPPLATEPAGE_H
#define TOURNAMENTTEMPPLATEPAGE_H

// Local includes

#include "AbstractSettingsPage.h"

#include "shared/Settings.h"

// Local classes
class Database;

// Qt classes
class QTableWidget;

class TournamentTemplatePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit TournamentTemplatePage(QWidget *parent, Database *db, Settings *settings);
    virtual void saveSettings() override;

private slots:
    void restoreTemplate();
    void adoptCurrentSettings();

private: // Functions
    void updateTemplateDisplay();

private: // Variables
    Database *m_db;
    Settings *m_settings;
    Settings::TournamentTemplate m_template;
    QTableWidget *m_templateDisplay;

};

#endif // TOURNAMENTTEMPPLATEPAGE_H
