/* Copyright (c) 2012-2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENTINFODIALOG_H
#define TOURNAMENTINFODIALOG_H

// Local classes
class Database;

// Local includes
#include "shared/TitleDialog.h"

// Qt classes
class QGridLayout;

class TournamentInfoDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit TournamentInfoDialog(QWidget *parent, Database *db);

private: // Functions
    void addGroup(const QString &text);
    void addLabel(const QString &text);
    void addInfo(const QString &text, bool wordWrap = false);

private: // Variables
    QGridLayout *m_currentGroupLayout;
    int m_row;

};

#endif // TOURNAMENTINFODIALOG_H
