/* Copyright (c) 2018-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "LogDisplay.h"

// Qt includes
#include <QTime>
#include <QScrollBar>

LogDisplay::LogDisplay(QWidget *parent) : QPlainTextEdit(parent)
{
    setReadOnly(true);
}

QString LogDisplay::currentTime()
{
    return QTime::currentTime().toString(QStringLiteral("hh:mm:ss"));
}

void LogDisplay::displayMessage(const QString &text)
{
    appendPlainText(tr("[%1] %2").arg(currentTime(), text));
    scrollToBottom();
}

void LogDisplay::displayProtocolError(const QString &text)
{
    appendPlainText(tr("[%1] Protokollfehler: %2 – Paket wird ignoriert").arg(currentTime(), text));
    scrollToBottom();
}

void LogDisplay::scrollToBottom()
{
    verticalScrollBar()->setValue(verticalScrollBar()->maximum());
}
