/* Copyright (c) 2018-2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SHAREDOBJECTS_H
#define SHAREDOBJECTS_H

// Qt includes
#include <QObject>

// Local classes
class StringTools;
class SearchEngine;
class Database;
class ResourceFinder;
class Settings;

class SharedObjects : public QObject
{
    Q_OBJECT

public:
    explicit SharedObjects(QObject *parent);
    StringTools * stringTools() const;
    SearchEngine * searchEngine() const;
    ResourceFinder * resourceFinder() const;
    Database * database() const;
    Settings * settings() const;

private: // Variables
    StringTools *m_stringTools;
    SearchEngine *m_searchEngine;
    Database *m_database;
    ResourceFinder *m_resourceFinder;
    Settings *m_settings;

};

#endif // SHAREDOBJECTS_H
